charge
POST
Callout charge: asks your endpoint to charge a buyer for a purchase.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”webhook-id
required
string
Unique id of this delivery. Deduplicate on it.
webhook-timestamp
required
string
Unix time in seconds when the delivery was signed.
webhook-signature
required
string
Standard Webhooks signature, v1,<base64 HMAC-SHA256> of id.timestamp.body.
webhook-type
required
string
Always charge.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ChargeRequest
Callout charge: asks your endpoint to charge a buyer for a purchase.
object
buyer
required
Buyer
External id of the buyer.
string
currency
required
Currency
ISO 4217 currency.
string
item
required
price_minor
required
Price Minor
Price in minor units of currency.
integer
purchase_id
required
Purchase Id
Id of the purchase; also the Idempotency-Key.
string format: uuid
seller
required
Seller
External id of the seller.
string
Responses
Section titled “Responses”The answer we use
Media typeapplication/json
ChargeResponse
Your answer to the charge and charge_status callouts.
object
Example
{ "external_ref": null, "status": "paid", "topup_url": null}